没有php5apache2_4.dll怎么办_编程技术_编程开发技术教程

没有php5apache2_4.dll怎么办_编程技术_编程开发技术教程

服务器 VIP24小时自助开通

编程技术

没有php5apache2_4.dll怎么办_编程技术_编程开发技术教程插图

推荐:《PHP视频教程

apache配置 php中没有php5apache2_4.dll

今天,在win7系统下安装Apache+PHP+MySQL时,终于体会到了版本多也不一定是好事,各种不兼容,主要是因为动态包的多少问题。下面就说一下php配置Apache的问题:

在给apache配置php的过程中,如果php安装目录里没有php5apache2_4.dll,一定是下载的版本不对。

php 5.5有好几个版本:

VC11 x86 Non Thread Safe

VC11 x64 Non Thread Safe

VC11 x86 Thread Safe

VC11 x64 Thread Safe 以上四个版本中,non thread safe版的php在安装过程中, 没有apache的选项: select the web server you wish to setup iis fastcgi other cgi do not setup a web server

而thread safe版的安装过程中有apache 2.4.x module选项: select the web server you wish to setup apache 2.4.x module apache cgi iis fastcgi iis cgi nsapi xitami netserve web server other cgi do not setup a web server ————————- 所以应该下载的版本是 php 5.5 thread safe 去php官网下载,http://windows.php.net/download/

没有php5apache2_4.dll怎么办
—–文章转载自PHP中文网如有侵权请联系admin#tyuanma.cn删除

mysql是单线程还是多线程?

分享到 :
服务器 VIP24小时自助开通